/* 
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $id$
 */

package com.sun.ts.tests.jaxrs.spec.resourceconstructor;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;

@Path("resource/query")
public class QueryResource {
	String param;

	public QueryResource(@QueryParam("param") String param) {
		this.param = param;
	}

	@GET
	public String get() {
		return param;
	}
}
